Bug 26508 - Update request: broadcom-wl-6.30.223.271-58.mga7.nonfree
Summary: Update request: broadcom-wl-6.30.223.271-58.mga7.nonfree
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK MGA7-32-OK
Keywords: advisory, validated_update
Depends on:
Blocks: 26525 26526
  Show dependency treegraph
 
Reported: 2020-04-20 20:44 CEST by Thomas Backlund
Modified: 2020-04-24 19:05 CEST (History)
3 users (show)

See Also:
Source RPM: broadcom-wl
CVE:
Status comment:


Attachments

Description Thomas Backlund 2020-04-20 20:44:14 CEST
Adds support for kernel 5.6 series

SRPM:
broadcom-wl-6.30.223.271-58.mga7.nonfree.src.rpm

i586:
broadcom-wl-common-6.30.223.271-58.mga7.nonfree.i586.rpm
dkms-broadcom-wl-6.30.223.271-58.mga7.nonfree.i586.rpm

x86_64:
broadcom-wl-common-6.30.223.271-58.mga7.nonfree.x86_64.rpm
dkms-broadcom-wl-6.30.223.271-58.mga7.nonfree.x86_64.rpm
Comment 1 Thomas Backlund 2020-04-20 20:50:52 CEST
For testers, just check that everything still works with kernel 5.5 series
Comment 2 ben mcmonagle 2020-04-22 01:01:02 CEST
urpmi broadcom-wl-common dkms-broadcom-wl 
...
installing broadcom-wl-common-6.30.223.271-58.mga7.nonfree.x86_64.rpm dkms-broadcom-wl-6.30.223.271-58.mga7.nonfree.x86_64.rpm from /var/cache/urpmi/rpms
Preparing...                     
      1/2: broadcom-wl-common    
      2/2: dkms-broadcom-wl  

+ /usr/sbin/dkms --rpm_safe_upgrade add -m broadcom-wl -v 6.30.223.271-58.mga7.nonfree

Creating symlink /var/lib/dkms/broadcom-wl/6.30.223.271-58.mga7.nonfree/source ->
                 /usr/src/broadcom-wl-6.30.223.271-58.mga7.nonfree

DKMS: add Completed.
+ '[' -z '' ']'
+ /usr/sbin/dkms --rpm_safe_upgrade build -m broadcom-wl -v 6.30.223.271-58.mga7.nonfree

Preparing kernel 5.5.15-desktop-3.mga7 for module build:
(This is not compiling a kernel, just preparing kernel symbols)
Storing current .config to be restored when complete
Running Generic preparation routine
make mrproper....(bad exit status: 2)
using /proc/config.gz
make oldconfig....(bad exit status: 2)
make prepare.....(bad exit status: 2)

Building module:
cleaning build area....
'make' -j1 -C /lib/modules/5.5.15-desktop-3.mga7/build M=$(pwd).........
cleaning build area....
cleaning kernel tree (make mrproper)....(bad exit status: 2)

DKMS: build Completed.
+ /usr/sbin/dkms --rpm_safe_upgrade install -m broadcom-wl -v 6.30.223.271-58.mga7.nonfree

wl.ko.xz:
 - Installation
   - Installing to /lib/modules/5.5.15-desktop-3.mga7/dkms/3rdparty/broadcom-wl/

depmod........

DKMS: install Completed.
+ /usr/sbin/dkms --rpm_safe_upgrade remove -m broadcom-wl -v 6.30.223.271-55.mga7.nonfree --all

-------- Uninstall Beginning --------
Module:  broadcom-wl
Version: 6.30.223.271-55.mga7.nonfree
Kernel:  5.4.17-desktop-1.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

wl.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.4.17-desktop-1.mga7/dkms/3rdparty/broadcom-wl/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
/usr/sbin/dkms: line 2006: echo: write error: Broken pipe
depmod........

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  broadcom-wl
Version: 6.30.223.271-55.mga7.nonfree
Kernel:  5.5.15-desktop-3.mga7 (x86_64)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
/usr/sbin/dkms: line 2006: echo: write error: Broken pipe
depmod.......

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  broadcom-wl
Version: 6.30.223.271-55.mga7.nonfree
Kernel:  5.5.6-desktop-2.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

wl.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.5.6-desktop-2.mga7/dkms/3rdparty/broadcom-wl/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.
depmod.......

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  broadcom-wl
Version: 6.30.223.271-55.mga7.nonfree
Kernel:  5.5.4-desktop-1.mga7 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

wl.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.5.4-desktop-1.mga7/dkms/3rdparty/broadcom-wl/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod.......

DKMS: uninstall Completed.

------------------------------
Deleting module version: 6.30.223.271-55.mga7.nonfree
completely from the DKMS tree.
------------------------------
Done.
      1/2: removing dkms-broadcom-wl-6.30.223.271-55.mga7.nonfree.x86_64
      2/2: removing broadcom-wl-common-6.30.223.271-55.mga7.nonfree.x86_64

manually reconnect via netapplet -ok

uname -r
5.5.15-desktop-3.mga7

reboot.

wifi active at login - ok

CC: (none) => westel

Comment 3 ben mcmonagle 2020-04-22 03:10:47 CEST
# urpmi broadcom-wl-common dkms-broadcom-wl 

installing dkms-broadcom-wl-6.30.223.271-58.mga7.nonfree.i586.rpm broadcom-wl-common-6.30.223.271-58.mga7.nonfree.i586.rpm from /var/cache/urpmi/rpms
Preparing...                     
      1/2: broadcom-wl-common    
      2/2: dkms-broadcom-wl      
+ /usr/sbin/dkms --rpm_safe_upgrade add -m broadcom-wl -v 6.30.223.271-58.mga7.nonfree

Creating symlink /var/lib/dkms/broadcom-wl/6.30.223.271-58.mga7.nonfree/source ->
                 /usr/src/broadcom-wl-6.30.223.271-58.mga7.nonfree

DKMS: add Completed.
+ '[' -z '' ']'
+ /usr/sbin/dkms --rpm_safe_upgrade build -m broadcom-wl -v 6.30.223.271-58.mga7.nonfree

Preparing kernel 5.5.15-desktop-3.mga7 for module build:
(This is not compiling a kernel, just preparing kernel symbols)
Storing current .config to be restored when complete
Running Generic preparation routine
make mrproper....(bad exit status: 2)
using /proc/config.gz
make oldconfig....(bad exit status: 2)
make prepare....(bad exit status: 2)

Building module:
cleaning build area....
'make' -j1 -C /lib/modules/5.5.15-desktop-3.mga7/build M=$(pwd)........
cleaning build area....
cleaning kernel tree (make mrproper)....(bad exit status: 2)

DKMS: build Completed.
+ /usr/sbin/dkms --rpm_safe_upgrade install -m broadcom-wl -v 6.30.223.271-58.mga7.nonfree

wl.ko.xz:
 - Installation
   - Installing to /lib/modules/5.5.15-desktop-3.mga7/dkms/3rdparty/broadcom-wl/

depmod..........

DKMS: install Completed.
+ /usr/sbin/dkms --rpm_safe_upgrade remove -m broadcom-wl -v 6.30.223.271-55.mga7.nonfree --all

-------- Uninstall Beginning --------
Module:  broadcom-wl
Version: 6.30.223.271-55.mga7.nonfree
Kernel:  5.5.15-desktop-3.mga7 (i586)
-------------------------------------

Status: This module version was INACTIVE for this kernel.
depmod..........

DKMS: uninstall Completed.

-------- Uninstall Beginning --------
Module:  broadcom-wl
Version: 6.30.223.271-55.mga7.nonfree
Kernel:  5.1.14-desktop-1.mga7 (i586)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

wl.ko.xz:
 - Uninstallation
   - Deleting from: /lib/modules/5.1.14-desktop-1.mga7/dkms/3rdparty/broadcom-wl/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod........

DKMS: uninstall Completed.

------------------------------
Deleting module version: 6.30.223.271-55.mga7.nonfree
completely from the DKMS tree.
------------------------------
Done.
      1/2: removing dkms-broadcom-wl-6.30.223.271-55.mga7.nonfree.i586
      2/2: removing broadcom-wl-common-6.30.223.271-55.mga7.nonfree.i586
       
manually initiate wifi connection  -ok

reboot

uname -r
5.5.15-desktop-3.mga7

wifi active at login - ok
Thomas Backlund 2020-04-22 11:18:58 CEST

Blocks: (none) => 26525

Thomas Backlund 2020-04-22 11:19:13 CEST

Blocks: (none) => 26526

Comment 4 Len Lawrence 2020-04-22 13:11:45 CEST
Kernel: 5.5.15-desktop-3.mga7 x86_64
Alienware model: 08PG26 v: A00 
Intel Core i7-2600 type: MT MCP
Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet 
  driver: r8169 
Qualcomm Atheros AR9285 Wireless Network Adapter driver: ath9k
NVIDIA GF114 [GeForce GTX 555] driver: nvidia v: 390.132

Installed all the firmware and rebooted.
Came up with wifi running.
Everythin else is fine too.

CC: (none) => tarazed25

Comment 5 ben mcmonagle 2020-04-24 02:20:52 CEST
lspcidrake 
.....
wl              : Broadcom Inc. and subsidiaries|BCM4311 802.11b/g WLAN [NETWORK_OTHER] (rev: 02)


reboot

uname -r
5.6.6-desktop-1.mga7

wifi working  -ok
Comment 6 ben mcmonagle 2020-04-24 02:47:23 CEST
Compaq C700

Model name:          Intel(R) Celeron(R) M CPU        530  @ 1.73GHz

lspcidrake 
.....
wl              : Broadcom Inc. and subsidiaries|BCM4311 802.11b/g WLAN [NETWORK_OTHER] (rev: 02)

uname -r
5.5.15-desktop-3.mga7


To satisfy dependencies, the following packages are going to be installed:
  Package                        Version      Release       Arch    
(medium "Core Updates Testing (distrib5)")
  cpupower                       5.6.6        1.mga7        x86_64  
  kernel-desktop-5.6.6-1.mga7    1            1.mga7        x86_64  
  kernel-desktop-devel-5.6.6-1.> 1            1.mga7        x86_64  
  kernel-desktop-devel-latest    5.6.6        1.mga7        x86_64  
  kernel-desktop-latest          5.6.6        1.mga7        x86_64  
(medium "Nonfree Updates Testing (distrib15)")
  kernel-firmware-nonfree        20200316     1.mga7.nonfr> noarch  
  radeon-firmware                20200416     1.mga7.nonfr> noarch  
116MB of additional disk space will be used.
152MB of packages will be retrieved.
Proceed with the installation of the 7 packages? (Y/n) y

reboot

uname -r
5.5.15-desktop-3.mga7

desktop - ok
firefox ok
wifi ok
Thomas Backlund 2020-04-24 17:05:38 CEST

Keywords: (none) => advisory, validated_update
CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA7-64-OK MGA7-32-OK

Comment 7 Mageia Robot 2020-04-24 19:05:17 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2020-0107.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.